## akonadi-mime 25.08.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set(PIM_VERSION "6.5.0")
project(Akonadi-Mime VERSION ${PIM_VERSION})

# ECM setup
set(KF_MIN_VERSION "6.14.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(QT_REQUIRED_VERSION "6.8.0")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(ECMSetupVersion)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
    autotests/*.cpp
    autotests/*.h
    serializers/*.cpp
    serializers/*.h
    tests/*.cpp
    tests/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMCheckOutboundLicense)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

set(AKONADI_MIME_VERSION ${PIM_VERSION})
set(AKONADI_VERSION "6.5.0")
set(KPIM_MIME_VERSION "6.5.0")

ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADIMIME
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-mime_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiMimeConfigVersion.cmake"
    SOVERSION 6
)

########### Find packages ###########
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
find_package(KF6ItemModels ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)

set(SharedMimeInfo_MINIMUM_VERSION "1.10")
find_package(SharedMimeInfo ${SharedMimeInfo_MINIMUM_VERSION} REQUIRED)

find_package(LibXslt)
set_package_properties(
    LibXslt
    PROPERTIES
        DESCRIPTION
            "xsltproc"
        URL
            "http://xmlsoft.org/XSLT/"
        TYPE
            REQUIRED
        PURPOSE
            "Needed to generate D-Bus interface specifications"
)

########### Targets ###########

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0
     KF 6.16.0
)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()
if(BUILD_TESTING)
    set(AKONADI_MIME_TEST_EXPORT AKONADI_MIME_EXPORT)
endif()
configure_file(akonadi-mimeprivate_export.h.in "${CMAKE_CURRENT_BINARY_DIR}/akonadi-mimeprivate_export.h")
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(src)
add_subdirectory(serializers)

if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6AkonadiMime")
if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6AkonadiMime_QCH
        FILE KPim6AkonadiMimeQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6AkonadiMimeQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimAkonadiMimeConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiMimeConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiMimeConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiMimeConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6AkonadiMimeTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6AkonadiMimeTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/akonadi-mime_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiMime
    COMPONENT Devel
)

ecm_qt_install_logging_categories(
        EXPORT AKONADIMIME
        FILE akonadi-mime.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"libakonadi-kmime6\")
# generates a D-Bus interface description from a KConfigXT file
macro(kcfg_generate_dbus_interface _kcfg _name)
    add_custom_command(
        OUTPUT
            ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
        COMMAND
            ${LIBXSLT_XSLTPROC_EXECUTABLE} --stringparam interfaceName ${_name} ${KF5Akonadi_DATA_DIR}/kcfg2dbus.xsl
            ${_kcfg} > ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
    )
endmacro()

macro(add_resource_iface _kcfgFile _ifaceName _className)
    kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/${_kcfgFile} ${_ifaceName})
    set_source_files_properties(
        ${CMAKE_CURRENT_BINARY_DIR}/${_ifaceName}.xml
        PROPERTIES
            INCLUDE
                "metatype.h"
    )
    qt_add_dbus_interface(akonadimime_SRCS
        ${CMAKE_CURRENT_BINARY_DIR}/${_ifaceName}.xml ${_className}
    )
endmacro()

########### next target ###############

set(akonadimime_SRCS
    addressattribute.cpp
    attributeregistrar.cpp
    removeduplicatesjob.cpp
    specialmailcollections.cpp
    specialmailcollectionsrequestjob.cpp
    specialmailcollectionsdiscoveryjob.cpp
    messagefolderattribute.cpp
    messagemodel.cpp
    messageparts.cpp
    messageflags.cpp
    messagestatus.cpp
    newmailnotifierattribute.cpp
    pop3resourceattribute.cpp
    commandbase.cpp
    util.cpp
    emptytrashcommand.cpp
    markascommand.cpp
    movecommand.cpp
    movetotrashcommand.cpp
    standardmailactionmanager.cpp
    markascommandhelper_p.h
    markascommandhelper.cpp
    messagestatus.h
    util_p.h
    emptytrashcommand.h
    specialmailcollectionsrequestjob.h
    movecommand.h
    newmailnotifierattribute.h
    specialmailcollectionstesting_p.h
    standardmailactionmanager.h
    messagefolderattribute.h
    removeduplicatesjob.h
    movetotrashcommand.h
    specialmailcollectionsdiscoveryjob.h
    messageflags.h
    pop3resourceattribute.h
    addressattribute.h
    markascommand.h
    messagemodel.h
    commandbase.h
    specialmailcollections.h
    metatype.h
    messageparts.h
    mdnstateattribute.h
    mdnstateattribute.cpp
    dispatcherinterface.cpp
    dispatchmodeattribute.cpp
    errorattribute.cpp
    transportattribute.cpp
    sentactionattribute.cpp
    sentbehaviourattribute.cpp
    messagequeuejob.cpp
    outboxactions.cpp
    filteractionjob.cpp
    filteractionjob_p.h
    errorattribute.h
    outboxactions_p.h
    dispatcherinterface_p.h
    sentbehaviourattribute.h
    messagequeuejob.h
    sentactionattribute.h
    transportattribute.h
    dispatchmodeattribute.h
    dispatcherinterface.h
)

add_resource_iface(imapresource.kcfg
    org.kde.Akonadi.Imap.Settings imapsettings
)

# TODO: add the necessary API in SpecialCollections
#if(BUILD_TESTING)
#    list(APPEND akonadimime_SRCS specialmailcollectionstesting.cpp)
#endif()

kconfig_add_kcfg_files(akonadimime_SRCS
    specialmailcollectionssettings.kcfgc
)

install(FILES specialmailcollections.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

add_library(KPim6AkonadiMime ${akonadimime_SRCS})
ecm_qt_declare_logging_category(KPim6AkonadiMime HEADER akonadi_mime_debug.h IDENTIFIER AKONADIMIME_LOG CATEGORY_NAME log_akonadi_mime)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KPim6AkonadiMime
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
generate_export_header(KPim6AkonadiMime BASE_NAME akonadi-mime)

add_library(KPim6::AkonadiMime ALIAS KPim6AkonadiMime)

target_include_directories(
    KPim6AkonadiMime
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiMime>"
)
target_include_directories(
    KPim6AkonadiMime
    PUBLIC
        "$<BUILD_INTERFACE:${Akonadi-Mime_SOURCE_DIR}/src;${Akonadi-Mime_BINARY_DIR}/src>"
)

target_link_libraries(
    KPim6AkonadiMime
    PUBLIC
        KPim6::AkonadiCore
    PRIVATE
        KPim6::Mime
        KPim6::AkonadiWidgets
        KF6::KIOCore
        KF6::I18n
        KF6::XmlGui
        Qt::DBus
)

set_target_properties(
    KPim6AkonadiMime
    PROPERTIES
        VERSION
            ${AKONADIMIME_VERSION}
        SOVERSION
            ${AKONADIMIME_SOVERSION}
        EXPORT_NAME
            AkonadiMime
)

install(TARGETS KPim6AkonadiMime EXPORT KPim6AkonadiMimeTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(AkonadiMime_CamelCase_HEADERS
    HEADER_NAMES

    AddressAttribute
    CommandBase
    MDNStateAttribute
    MessageFlags
    MessageFolderAttribute
    MessageModel
    MessageParts
    MessageStatus
    MarkAsCommand
    MoveCommand
    NewMailNotifierAttribute
    Pop3ResourceAttribute
    RemoveDuplicatesJob
    SpecialMailCollections
    SpecialMailCollectionsDiscoveryJob
    SpecialMailCollectionsRequestJob
    StandardMailActionManager
    DispatcherInterface
    MessageQueueJob
    TransportAttribute
    SentBehaviourAttribute
    DispatchModeAttribute
    ErrorAttribute
    SentActionAttribute


    REQUIRED_HEADERS AkonadiMime_HEADERS
    PREFIX Akonadi
)

install(
    FILES
        ${AkonadiMime_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiMime/Akonadi
    COMPONENT Devel
)

install(
    FILES
        ${AkonadiMime_HEADERS}
        ${CMAKE_CURRENT_BINARY_DIR}/akonadi-mime_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiMime/akonadi
    COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KPim6AkonadiMime_QCH
        NAME KPim6AkonadiMime
        BASE_NAME KPim6AkonadiMime
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${AkonadiMime_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            AKONADI_MIME_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

## install the MIME type spec file for KDEPIM specific MIME types
install(FILES x-vnd.kde.contactgroup.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})

=== debian/changelog ===
akonadi-mime (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:47:21 +0100

=== debian/control ===
Source: akonadi-mime
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.08.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6itemmodels-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkmime-dev (>= 25.08.0~),
               libxslt1-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               shared-mime-info (>= 1.8~),
               xsltproc,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/akonadi-mime
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-mime
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-mime
Rules-Requires-Root: no

Package: akonadi-mime-data
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Akonadi MIME handling library - data files
 This library provides MIME handling helpers using the
 Akonadi PIM data server.
 .
 This package contains data files for akonadi-mime library

Package: libakonadimime-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libakonadi-dev (>= 4:25.08.0~),
         libkpim6akonadimime6 (= ${binary:Version}),
         ${misc:Depends},
Description: Akonadi MIME handling library - development files
 This library provides MIME handling helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: libkpim6akonadimime6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: akonadi-mime-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi MIME handling library
 This library provides MIME handling helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

## akonadi-mime 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.5.0")
+set(PIM_VERSION "6.5.1")
 project(Akonadi-Mime VERSION ${PIM_VERSION})
 
 # ECM setup
@@ -18,6 +18,7 @@
 
 include(GenerateExportHeader)
 include(ECMGenerateHeaders)
+include(ECMQmlModule)
 
 include(ECMSetupVersion)
 file(
@@ -63,8 +64,8 @@
 )
 
 set(AKONADI_MIME_VERSION ${PIM_VERSION})
-set(AKONADI_VERSION "6.5.0")
-set(KPIM_MIME_VERSION "6.5.0")
+set(AKONADI_VERSION "6.5.1")
+set(KPIM_MIME_VERSION "6.5.1")
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADIMIME
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-mime_version.h"
@@ -73,6 +74,7 @@
 )
 
 ########### Find packages ###########
+find_package(Qt6QmlIntegration ${QT_REQUIRED_VERSION} REQUIRED)
 find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -121,6 +121,8 @@
 endif()
 generate_export_header(KPim6AkonadiMime BASE_NAME akonadi-mime)
 
+qt_extract_metatypes(KPim6AkonadiMime)
+
 add_library(KPim6::AkonadiMime ALIAS KPim6AkonadiMime)
 
 target_include_directories(
@@ -236,3 +238,5 @@
 ## install the MIME type spec file for KDEPIM specific MIME types
 install(FILES x-vnd.kde.contactgroup.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
 update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})
+
+add_subdirectory(quick)

=== autotests/messagetests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
include(ECMMarkAsTest)

macro(ADD_AKONADIMIME_TEST)
    foreach(_testName ${ARGN})
        add_executable(${_testName} ${_testName}.cpp)
        add_test(NAME akonadimime-${_testName} COMMAND ${_testName})
        target_link_libraries(
            ${_testName}
            KPim6::Mime
            Qt::Test
            KPim6::AkonadiCore
            KPim6::AkonadiMime
        )
        set_target_properties(
            ${_testName}
            PROPERTIES
                COMPILE_FLAGS
                    -DTEST_DATA_DIR="\\"${CMAKE_CURRENT_SOURCE_DIR}/\\""
        )
        ecm_mark_as_test(${_testName})
    endforeach()
endmacro()

add_akonadimime_test(
  messagetest
)

=== debian/changelog ===
akonadi-mime (4:25.08.1-0ubuntu2) questing; urgency=medium

  * Update not-installed.

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 18:27:06 +0100

akonadi-mime (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:03:54 +0100

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.08.0~),
+               libakonadi-dev (>= 4:25.08.1~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6itemmodels-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.08.0~),
+               libkmime-dev (>= 25.08.1~),
                libxslt1-dev,
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
@@ -44,7 +44,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.08.0~),
+Depends: libakonadi-dev (>= 4:25.08.1~),
          libkpim6akonadimime6 (= ${binary:Version}),
          ${misc:Depends},
 Description: Akonadi MIME handling library - development files

## akonadi-mime 25.08.1+p24.04+vstable+git20250911.1217

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.5.1")
+set(PIM_VERSION "6.5.2")
 project(Akonadi-Mime VERSION ${PIM_VERSION})
 
 # ECM setup

=== debian/changelog ===
akonadi-mime (4:25.08.1+p24.04+vstable+git20250911.1217-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 12:17:51 +0000

akonadi-mime (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:12:24 +0000

akonadi-mime (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 12:46:36 +0000

akonadi-mime (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:28:57 +0000

akonadi-mime (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:44:01 +0000

akonadi-mime (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:35:10 +0000

akonadi-mime (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:18:12 +0000

akonadi-mime (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 13:44:36 +0000

akonadi-mime (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 14:50:48 +0000

akonadi-mime (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:42:19 +0000

akonadi-mime (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:39:55 +0000

akonadi-mime (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:39:41 +0000

akonadi-mime (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:11:32 +0000

akonadi-mime (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 07:50:08 +0000

akonadi-mime (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:04:10 +0000

akonadi-mime (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:39:20 +0000

akonadi-mime (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:07:25 +0000

akonadi-mime (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 03:53:12 +0000

akonadi-mime (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:49:35 +0000

akonadi-mime (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:31:03 +0000

akonadi-mime (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 15:40:29 +0000

akonadi-mime (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:07:36 +0000

akonadi-mime (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 12:44:21 +0000

akonadi-mime (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:38:21 +0000

akonadi-mime (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 11:23:41 +0000

akonadi-mime (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 12:50:37 +0000

akonadi-mime (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:18:01 +0000

akonadi-mime (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 15:57:06 +0000

akonadi-mime (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:03:02 +0000

akonadi-mime (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:24:34 +0000

akonadi-mime (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 17:58:44 +0000

akonadi-mime (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:26:46 +0000

akonadi-mime (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:13:17 +0000

akonadi-mime (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:38:40 +0000

akonadi-mime (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:31:04 +0000

akonadi-mime (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:46:12 +0000

akonadi-mime (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 10:57:04 +0000

akonadi-mime (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:58:45 +0000

akonadi-mime (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:12:14 +0000

akonadi-mime (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 09:44:07 +0000

akonadi-mime (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:30:10 +0000

akonadi-mime (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:26:02 +0000

akonadi-mime (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:46:54 +0000

akonadi-mime (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:18:50 +0000

akonadi-mime (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:49:42 +0000



=== debian/control ===
Source: akonadi-mime
Section: libs
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kitemmodels-dev,
               kf6-kxmlgui-dev,
               kpim6-akonadi-dev,
               kpim6-kmime-dev,
               libxslt1-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               reuse,
               shared-mime-info (>= 1.3~),
               xsltproc
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/akonadi-mime.git
Vcs-Browser: https://invent.kde.org/neon/kde/akonadi-mime
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-akonadi-mime
Architecture: any
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: akonadi-mime-data,
          libkf5akonadimime-data,
          libkf5akonadimime5,
          libkpim5akonadimime-data,
          libkpim5akonadimime5
Description: Akonadi MIME handling library
 This library provides MIME handling helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: kpim6-akonadi-mime-dev
Architecture: any
X-Neon-MergedPackage: true
Depends: kpim6-akonadi-dev,
         kpim6-akonadi-mime (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf5akonadimime-dev, libkpim5akonadimime-dev
Description: Akonadi MIME handling library - development files
 This library provides MIME handling helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: akonadi-mime-data
Architecture: all
Depends: kpim6-akonadi-mime, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadimime-dev
Architecture: all
Depends: kpim6-akonadi-mime-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadimime5
Architecture: all
Depends: kpim6-akonadi-mime, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadimime-data
Architecture: all
Depends: kpim6-akonadi-mime, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadimime-dev
Architecture: all
Depends: kpim6-akonadi-mime-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadimime5
Architecture: all
Depends: kpim6-akonadi-mime, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## akonadi-mime 25.08.1+p24.04+vstable+git20250916.0022

=== debian/changelog ===
akonadi-mime (4:25.08.1+p24.04+vstable+git20250916.0022-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 00:22:22 +0000

## akonadi-mime 25.08.2

=== src/quick/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-3-Clause

ecm_add_qml_module(akonadi_mime_quick_plugin
    URI "org.kde.akonadi.mime"
    GENERATE_PLUGIN_SOURCE
)

target_sources(
    akonadi_mime_quick_plugin
    PRIVATE
        types.cpp
        types.h
)

target_link_libraries(akonadi_mime_quick_plugin PRIVATE KPim6AkonadiMime)

ecm_finalize_qml_module(akonadi_mime_quick_plugin
    DESTINATION ${KDE_INSTALL_QMLDIR}
    BUILD_SHARED_LIBS OFF
)

=== debian/changelog ===
akonadi-mime (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:36:38 +0100

=== debian/control ===
Source: akonadi-mime
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.08.2~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6itemmodels-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkmime-dev (>= 25.08.2~),
               libxslt1-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               shared-mime-info (>= 1.8~),
               xsltproc,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/akonadi-mime
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-mime
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-mime
Rules-Requires-Root: no

Package: akonadi-mime-data
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Akonadi MIME handling library - data files
 This library provides MIME handling helpers using the
 Akonadi PIM data server.
 .
 This package contains data files for akonadi-mime library

Package: libakonadimime-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libakonadi-dev (>= 4:25.08.2~),
         libkpim6akonadimime6 (= ${binary:Version}),
         ${misc:Depends},
Description: Akonadi MIME handling library - development files
 This library provides MIME handling helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: libkpim6akonadimime6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: akonadi-mime-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi MIME handling library
 This library provides MIME handling helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

## akonadi-mime 25.08.2+p24.04+vstable+git20251015.1737

=== debian/changelog ===
akonadi-mime (4:25.08.2+p24.04+vstable+git20251015.1737-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 17:37:46 +0000

akonadi-mime (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:53:39 +0000

## akonadi-mime 25.08.2+p24.04+vstable+git20251019.0612

=== debian/changelog ===
akonadi-mime (4:25.08.2+p24.04+vstable+git20251019.0612-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:12:14 +0000

## akonadi-mime 25.08.3

=== autotests/benchmarker/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
kde_enable_exceptions()

set(benchmarker_SRCS
    maildir/maildir.cpp
    maildir/maildirimport.cpp
    main.cpp
    maketest.cpp
    test.cpp
    testmaildir.cpp
    maildir/maildirfetchallheaders.cpp
    maildir/maildir20percentread.cpp
    maildir/maildirfetchunreadheaders.cpp
    maildir/maildirremovereadmessages.cpp
    testvcard.cpp
    vcard/vcard.cpp
    vcard/vcardimport.cpp
)

add_executable(akonadi_benchmarker ${benchmarker_SRCS})

target_link_libraries(
    akonadi_benchmarker
    KPim6::AkonadiMime
    KPim6::Mime
    Qt::Test
    KPim6::AkonadiCore
    KF6::I18n
    Qt::Widgets
    Qt::DBus
)

install(
    TARGETS
        akonadi_benchmarker
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

=== debian/changelog ===
akonadi-mime (4:25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 17:58:17 +0100

akonadi-mime (4:25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:23:36 +0100

=== debian/control ===
Source: akonadi-mime
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libakonadi-dev (>= 4:25.08.3~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6itemmodels-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6xmlgui-dev (>= 6.14.0~),
               libkmime-dev (>= 25.08.3~),
               libxslt1-dev,
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               shared-mime-info (>= 1.10~),
               xsltproc,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/akonadi-mime
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-mime
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-mime.git
Rules-Requires-Root: no

Package: akonadi-mime-data
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Akonadi MIME handling library - data files
 This library provides MIME handling helpers using the
 Akonadi PIM data server.
 .
 This package contains data files for akonadi-mime library

Package: libakonadimime-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libakonadi-dev (>= 4:25.08.3~),
         libkpim6akonadimime6 (= ${binary:Version}),
         ${misc:Depends},
Description: Akonadi MIME handling library - development files
 This library provides MIME handling helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: libkpim6akonadimime6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: akonadi-mime-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi MIME handling library
 This library provides MIME handling helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

## akonadi-mime 25.08.3+p24.04+vunstable+git20251204.0613

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,15 +2,15 @@
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.6.40")
 project(Akonadi-Mime VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.19.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
-set(QT_REQUIRED_VERSION "6.8.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -55,6 +55,7 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_CLANG_FORMAT_SOURCE_FILES})
 
 include(ECMAddQch)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(
@@ -64,8 +65,8 @@
 )
 
 set(AKONADI_MIME_VERSION ${PIM_VERSION})
-set(AKONADI_VERSION "6.5.1")
-set(KPIM_MIME_VERSION "6.5.1")
+set(AKONADI_VERSION "6.6.40")
+set(KPIM_MIME_VERSION "6.6.40")
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADIMIME
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-mime_version.h"
@@ -104,7 +105,7 @@
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 ecm_set_disabled_deprecation_versions(QT 6.10.0
-     KF 6.16.0
+     KF 6.20.0
 )
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
akonadi-mime (4:25.08.3+p24.04+vunstable+git20251204.0613-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 06:13:45 +0000

akonadi-mime (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:37:05 +1000

## akonadi-mime 25.08.3+p24.04+vunstable+git20251208.0334

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 project(Akonadi-Mime VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.20.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -65,7 +65,7 @@
 )
 
 set(AKONADI_MIME_VERSION ${PIM_VERSION})
-set(AKONADI_VERSION "6.6.40")
+set(AKONADI_VERSION "6.6.41")
 set(KPIM_MIME_VERSION "6.6.40")
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADIMIME
@@ -105,7 +105,7 @@
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 ecm_set_disabled_deprecation_versions(QT 6.10.0
-     KF 6.20.0
+     KF 6.21.0
 )
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
akonadi-mime (4:25.08.3+p24.04+vunstable+git20251208.0334-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 03:34:37 +0000

## akonadi-mime 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,15 +2,15 @@
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.5.80")
 project(Akonadi-Mime VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.20.0")
+set(KF_MIN_VERSION "6.18.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
-set(QT_REQUIRED_VERSION "6.9.0")
+set(QT_REQUIRED_VERSION "6.8.0")
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -65,8 +65,8 @@
 )
 
 set(AKONADI_MIME_VERSION ${PIM_VERSION})
-set(AKONADI_VERSION "6.6.41")
-set(KPIM_MIME_VERSION "6.6.40")
+set(AKONADI_VERSION "6.5.80")
+set(KPIM_MIME_VERSION "6.5.80")
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADIMIME
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-mime_version.h"
@@ -105,7 +105,7 @@
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 ecm_set_disabled_deprecation_versions(QT 6.10.0
-     KF 6.21.0
+     KF 6.20.0
 )
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
akonadi-mime (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:51:32 +0000

akonadi-mime (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:19:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,32 @@
 Source: akonadi-mime
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.14.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.08.3~),
-               libkf6i18n-dev (>= 6.14.0~),
-               libkf6itemmodels-dev (>= 6.14.0~),
-               libkf6kio-dev (>= 6.14.0~),
-               libkf6xmlgui-dev (>= 6.14.0~),
-               libkmime-dev (>= 25.08.3~),
+               libakonadi-dev (>= 4:25.11.80~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6itemmodels-dev (>= 6.6.0~),
+               libkf6kio-dev (>= 6.6.0~),
+               libkf6xmlgui-dev (>= 6.6.0~),
+               libkmime-dev (>= 25.11.80~),
                libxslt1-dev,
                pkgconf,
-               qt6-base-dev (>= 6.8.0~),
-               qt6-declarative-dev (>= 6.8.0~),
-               shared-mime-info (>= 1.10~),
+               qt6-base-dev (>= 6.7.0~),
+               shared-mime-info (>= 1.8~),
                xsltproc,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/akonadi-mime
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-mime
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-mime.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-mime
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-mime
 Rules-Requires-Root: no
 
 Package: akonadi-mime-data
@@ -44,7 +44,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.08.3~),
+Depends: libakonadi-dev (>= 4:25.11.80~),
          libkpim6akonadimime6 (= ${binary:Version}),
          ${misc:Depends},
 Description: Akonadi MIME handling library - development files

## akonadi-mime 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.5.90")
 project(Akonadi-Mime VERSION ${PIM_VERSION})
 
 # ECM setup
@@ -65,8 +65,8 @@
 )
 
 set(AKONADI_MIME_VERSION ${PIM_VERSION})
-set(AKONADI_VERSION "6.5.80")
-set(KPIM_MIME_VERSION "6.5.80")
+set(AKONADI_VERSION "6.5.90")
+set(KPIM_MIME_VERSION "6.5.90")
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADIMIME
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-mime_version.h"

=== debian/changelog ===
akonadi-mime (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:56:03 +0000

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.11.80~),
+               libakonadi-dev (>= 4:25.11.90~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6itemmodels-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.11.80~),
+               libkmime-dev (>= 25.11.90~),
                libxslt1-dev,
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
@@ -44,7 +44,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.11.80~),
+Depends: libakonadi-dev (>= 4:25.11.90~),
          libkpim6akonadimime6 (= ${binary:Version}),
          ${misc:Depends},
 Description: Akonadi MIME handling library - development files

## akonadi-mime 25.12.0

=== debian/changelog ===
akonadi-mime (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:10:43 +0000

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.11.90~),
+               libakonadi-dev (>= 4:25.12.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6itemmodels-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.11.90~),
+               libkmime-dev (>= 25.12.0~),
                libxslt1-dev,
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
@@ -44,7 +44,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.11.90~),
+Depends: libakonadi-dev (>= 4:25.12.0~),
          libkpim6akonadimime6 (= ${binary:Version}),
          ${misc:Depends},
 Description: Akonadi MIME handling library - development files

## akonadi-mime 25.12.0+p24.04+vstable+git20251222.0515

=== debian/changelog ===
akonadi-mime (4:25.12.0+p24.04+vstable+git20251222.0515-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 05:15:31 +0000

akonadi-mime (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:33:01 +1000

## akonadi-mime 25.12.0+p24.04+vunstable+git20251208.2215

=== debian/changelog ===
akonadi-mime (4:25.12.0+p24.04+vunstable+git20251208.2215-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 22:15:42 +0000

## akonadi-mime 25.12.0+p24.04+vunstable+git20251211.0314

=== debian/changelog ===
akonadi-mime (4:25.12.0+p24.04+vunstable+git20251211.0314-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Dec 2025 03:14:23 +0000
